%define gcj_support 1

Name:		ecj
Version:	3.3.2
Release:	%mkrel 2
# eclipse-ecj obsoletes ecj < 1:3.3.0
Epoch:		1
Summary:	Eclipse Compiler for Java
Group:		Development/Java
URL:		http://eclipse.org/
# http://download.eclipse.org/eclipse/downloads/
Source:		ecjsrc-%{version}.zip
Source18:       ecj.sh.in
# Add GCCMain which is used by gcc, from debian and fc:
Patch0:		ecj-gccmain.diff
# Always generate debug info when building RPMs (Andrew Haley)
# This needs to be investigated for getEnv changes
Patch14:	eclipse-ecj-rpmdebuginfo.patch
License:	Eclipse Public License
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       jpackage-utils
BuildRequires:	java-rpmbuild
BuildRequires:	ant
%if %{gcj_support}
BuildRequires:	java-devel-gcj
%endif
Obsoletes:	eclipse-ecj < 1:3.3.1.1-0.14.3
Provides:	eclipse-ecj = %{epoch}:%{version}-%{release}
Requires:	libecj-java = %{epoch}:%{version}-%{release}
Requires:	java

%description
Eclipse compiler for Java.

# (Anssi 02/2008) This is separated so that gcc-java >= 4.3 can be used
# without the full java stack.
%package -n	libecj-java
Summary:	Eclipse compiler java classes
Group:		System/Libraries
Conflicts:	eclipse-ecj < 1:3.3.1.1-3

%description -n libecj-java
Eclipse compiler java classes.

%prep
%setup -q -c
%patch0 -p3
%patch14 -p0

%build
%ant

%install
rm -rf %{buildroot}
install -d -m755 %{buildroot}%{_javadir}
install -m644 ecj.jar %{buildroot}%{_javadir}/ecj-%{version}.jar
ln -s ecj-%{version}.jar %{buildroot}%{_javadir}/eclipse-ecj-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -s ${jar} ${jar/-%{version}/}; done)

# Install the ecj wrapper script
install -p -D -m 0755 %{SOURCE18} %{buildroot}%{_bindir}/ecj

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf %{buildroot}

%if %{gcj_support}
%post -n libecj-java
%{update_gcjdb}

%postun -n libecj-java
%{clean_gcjdb}
%endif

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/ecj

%files -n libecj-java
%defattr(-,root,root)
%{_javadir}/ecj-%{version}.jar
%{_javadir}/eclipse-ecj-%{version}.jar
%{_javadir}/ecj.jar
%{_javadir}/eclipse-ecj.jar
%if %gcj_support
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/*
%endif



%changelog
* Tue Apr 07 2009 Funda Wang <fundawang@mandriva.org> 1:3.3.2-2mdv2009.1
+ Revision: 364891
- rediff rpm patch

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:3.3.2-2mdv2009.0
+ Revision: 264424
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 29 2008 David Walluck <walluck@mandriva.org> 1:3.3.2-1mdv2009.0
+ Revision: 198920
- 3.3.2

* Sun Feb 10 2008 Anssi Hannula <anssi@mandriva.org> 1:3.3.1.1-5mdv2008.1
+ Revision: 164718
- bootstrap complete, re-enable gcj support

* Sat Feb 09 2008 Anssi Hannula <anssi@mandriva.org> 1:3.3.1.1-4mdv2008.1
+ Revision: 164660
- fix file list
- drop gcj support temporarily for bootstrap
- fix requires of main package

* Fri Feb 08 2008 Anssi Hannula <anssi@mandriva.org> 1:3.3.1.1-3mdv2008.1
+ Revision: 164214
- ecj requires java
- move .jar file to libecj-java, so that gcc>=4.3 can require that instead
  of pulling the whole java stack

* Wed Jan 16 2008 David Walluck <walluck@mandriva.org> 1:3.3.1.1-2mdv2008.1
+ Revision: 153882
- remove no-longer-necessary sed on ecj script
- don't overload name and version macros
- make gcj support optional
- add versions to jars
- don't force gij4.3 to launch ecj

* Mon Jan 14 2008 Anssi Hannula <anssi@mandriva.org> 1:3.3.1.1-1mdv2008.1
+ Revision: 151228
- create standalone ecj package to replace eclipse-ecj

